#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
 * ------------------------------------------------------------------------
 * bmTraces
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.bm-stats.org <http://www.bm-stats.org>
 * ------------------------------------------------------------------------
"""


# Native Python Lib/Class 
from Tkinter import * 
import ttk


class waitForTask:

	def __init__(self):
		self.root = Tk()
		self.root.geometry("300x20")
		self.root.wm_title("Please wait ! ")
		self.center(self.root)

	def center(self,win):
		"""
		centers a tkinter window
		:param win: the root or Toplevel window to center
		"""
		win.update_idletasks()
		width = win.winfo_width()
		frm_width = win.winfo_rootx() - win.winfo_x()
		win_width = width + 2 * frm_width
		height = win.winfo_height()
		titlebar_height = win.winfo_rooty() - win.winfo_y()
		win_height = height + titlebar_height + frm_width
		x = win.winfo_screenwidth() // 2 - win_width // 2
		y = win.winfo_screenheight() // 2 - win_height // 2
		win.geometry('{}x{}+{}+{}'.format(width, height, x, y))
		win.deiconify()
		
		
	
	def start(self):
		self.ft = ft = ttk.Frame(self.root)
		ft.pack(expand=True, fill=BOTH, side=TOP)
		self.pb_hD = ttk.Progressbar(ft, orient='horizontal', mode='indeterminate')
		self.pb_hD.pack(expand=True, fill=BOTH, side=LEFT)
		self.pb_hD.start()
		self.root.mainloop()	
	
	def stop(self):
		self.pb_hD.stop()
		self.ft.destroy()
		self.root.destroy()